openSUSE2021:0468-1: important: Security update for nghttp2

openSUSE Security Update: Security update for nghttp2 ______________________________________________________________________________
Announcement ID: openSUSE-SU-2021:0468-1 Rating: important References: #1172442 #1181358 Cross-References: CVE-2020-11080 CVSS scores: CVE-2020-11080 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVE-2020-11080 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Affected Products: openSUSE Leap 15.2 ______________________________________________________________________________
An update that solves one vulnerability and has one errata is now available.
Description:
This update for nghttp2 fixes the following issues:
– CVE-2020-11080: HTTP/2 Large Settings Frame DoS (bsc#1181358)
This update was imported from the SUSE:SLE-15:Update update project.
Patch Instructions:
To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or “zypper patch”.
Alternatively you can run the command listed for your product:
– openSUSE Leap 15.2:
zypper in -t patch openSUSE-2021-468=1

Package List:
– openSUSE Leap 15.2 (i586 x86_64):
libnghttp2-14-1.40.0-lp152.2.6.1 libnghttp2-14-debuginfo-1.40.0-lp152.2.6.1 libnghttp2-devel-1.40.0-lp152.2.6.1 libnghttp2_asio-devel-1.40.0-lp152.2.6.1 libnghttp2_asio1-1.40.0-lp152.2.6.1 libnghttp2_asio1-debuginfo-1.40.0-lp152.2.6.1 nghttp2-1.40.0-lp152.2.6.1 nghttp2-debuginfo-1.40.0-lp152.2.6.1 nghttp2-debugsource-1.40.0-lp152.2.6.1 nghttp2-python-debugsource-1.40.0-lp152.2.6.1 python3-nghttp2-1.40.0-lp152.2.6.1 python3-nghttp2-debuginfo-1.40.0-lp152.2.6.1
– openSUSE Leap 15.2 (x86_64):
libnghttp2-14-32bit-1.40.0-lp152.2.6.1 libnghttp2-14-32bit-debuginfo-1.40.0-lp152.2.6.1 libnghttp2_asio1-32bit-1.40.0-lp152.2.6.1 libnghttp2_asio1-32bit-debuginfo-1.40.0-lp152.2.6.1
References:
www.suse.com/security/cve/CVE-2020-11080.html bugzilla.suse.com/1172442 bugzilla.suse.com/1181358